QT	+= core gui
QT	+= KItemViews
QT	+= KCompletion
QT	+= widgets

LIBS += -lqt5keychain

CONFIG += c++17

#DEFINES += QTKEYCHAIN_NO_EXPORT

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    downloadfile.cpp \
    main.cpp \
    mainwindow.cpp \
    password.cpp \
    tools.cpp

HEADERS += \
    version.h\
    downloadfile.h \
    mainwindow.h \
    password.h \
    tools.h

FORMS += \
    about.ui \
    configuration.ui \
    mainwindow.ui

TRANSLATIONS += \
    RsyncUI_fr_FR.ts

INCLUDEPATH += \
    /usr/include/KF5 \
    /usr/include/qt5keychain \

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /usr/bin/
!isEmpty(target.path): INSTALLS += target

INSTALLS += lang
INSTALLS += documentation
INSTALLS += desktopfile
INSTALLS += icon

#RESOURCES +=

DISTFILES += \
	RsyncUI.desktop

lang.path = /languages/
lang.path = /usr/share/locale/
lang.files = languages/*
documentation.path = /usr/share/doc/RsyncUI
documentation.files = README*
desktopfile.path = /usr/share/applications
desktopfile.files = RsyncUI.desktop
icon.path = /usr/share/icons/
icon.files = RsyncUI.png
